Bug 73831 - nis group bygid lookup not working properly in 8.0 final
nis group bygid lookup not working properly in 8.0 final
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-11 16:36 EDT by Matt Wilson
Modified: 2016-11-24 10:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 17:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Wilson 2002-09-11 16:36:37 EDT
[msw@sid msw]$ id msw
uid=2195(msw) gid=2195(msw) groups=2195(msw),1076,1070,4001(idevel)

notice that group 1070 did not get resolved to a name.  Only the primary group
and the last supplimental group have names resolved.  The server has the needed
info:

[msw@sid msw]$ ypmatch 1070 group.bygid
devel:x:1070:{list of members}

[msw@sid msw]$ ypmatch devel group.byname
devel:x:1070:{list of members}

It seems that gr_name is not getting properly filled in by the nis module.
Comment 1 Roland McGrath 2002-09-11 16:43:12 EDT
I will set up a testing NIS server at home and debug this today.
Comment 2 Nalin Dahyabhai 2002-09-11 18:44:21 EDT
No idea if this is useful information or not, but it appears to work with nscd
running.
Comment 3 Roland McGrath 2002-09-11 22:57:19 EDT
The bug was with very long results that cause expansion of the initial buffer.
For future testing reference, be sure to have some such cases in the NIS test
environment (e.g. group lines with many members--group 1070's line is 719 chars
long.

It so happens this is the same underlying bug that was reported today in
a different context (it bites all sorts of get* functions with long results).
I had already fixed it before that evil bastard msw made me risk my immortal
soul by setting up NIS at home.  It didn't occur to me that it was probably the
same bug until after my fingers were fouled with that nasty yellow newsprint.
Now I'm screwed.

The fix is in glibc mainline already.  Jakub should catch it in his next
sweep of miscellaneous fixes into the RH rpm version.
Comment 4 Matt Wilson 2003-10-09 17:26:08 EDT
looks good now

Note You need to log in before you can comment on or make changes to this bug.